Package ru.bitel.bgbilling.modules.smarthouse.client.common

# Class EditorUtils

java.lang.Object
ru.bitel.bgbilling.modules.smarthouse.client.common.EditorUtils

    public class EditorUtils
    extends java.lang.Object

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `EditorUtils()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static boolean` | `checkTableCell​(ru.bitel.bgbilling.modules.smarthouse.client.common.ParamTableRow tableRow, java.awt.Color color, boolean error)` |
  `static boolean` | `checkTableCell​(ru.bitel.bgbilling.modules.smarthouse.client.common.ParamTableRow tableRow, java.util.regex.Pattern pattern, java.awt.Color color, boolean error)` |
  `static boolean` | `checkTextField​(ru.bitel.bgbilling.client.common.EditorTextField editorTextField, java.awt.Color color, boolean error)` |
  `static boolean` | `checkTextField​(ru.bitel.bgbilling.client.common.EditorTextField editorTextField, java.util.regex.Pattern pattern, java.awt.Color color, boolean error)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### EditorUtils

    public EditorUtils()

- ## Method Details

  - ### checkTextField

    public static boolean checkTextField​(ru.bitel.bgbilling.client.common.EditorTextField editorTextField, java.util.regex.Pattern pattern, java.awt.Color color, boolean error)

  - ### checkTextField

    public static boolean checkTextField​(ru.bitel.bgbilling.client.common.EditorTextField editorTextField, java.awt.Color color, boolean error)

  - ### checkTableCell

    public static boolean checkTableCell​(ru.bitel.bgbilling.modules.smarthouse.client.common.ParamTableRow tableRow, java.util.regex.Pattern pattern, java.awt.Color color, boolean error)

  - ### checkTableCell

    public static boolean checkTableCell​(ru.bitel.bgbilling.modules.smarthouse.client.common.ParamTableRow tableRow, java.awt.Color color, boolean error)